# Class CIM_SystemComponent
extends CIM_Component

CIM_SystemComponent is a specialization of the CIM_Component association that establishes 'part of' relationships between a System and any ManagedSystemElements of which it is composed. Use this association with caution when using it instead of a subclass such as SystemDevice or a peer association such as HostedService. This class is very broadly defined, which can lead to erroneous use. For example, Access Points that are dependent on (and hosted on) a System are NOT Components of the System. The System is not made up of any AccessPoint 'parts', which is why a Dependency association, HostedAccessPoint, was defined. Similarly, a PhysicalPackage is not a 'part' of a System, because the physical element exists independently of any internal components, software, and so on. In fact, again, a Dependency relationship is true where a ComputerSystem is Dependent on its packaging, as described by the ComputerSystemPackage association.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Component
|
+--CIM_SystemComponent

## Direct Known Subclasses

CIM_AccountOnSystem
CIM_ApplicationSystemSoftwareFeature
CIM_ASBGPEndpoints
CIM_ComponentCS
CIM_Confederation
CIM_ContainedDomain
CIM_FilterEntryInSystem
CIM_FilterListInSystem
CIM_HostedFileSystem
CIM_HostedResourcePool
CIM_HostedStoragePool
CIM_InstalledOS
CIM_J2eeApplicationModule
CIM_J2eeServerInDomain
CIM_PolicyContainerInPolicyContainer
CIM_PolicyRepositoryInPolicyRepository
CIM_ResourceOfSystem
CIM_RoutersInAS
CIM_SystemBIOS
CIM_SystemDevice

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true

Description

string

CIM_SystemComponent is a specialization of the CIM_Component association that establishes 'part of' relationships between a System and any ManagedSystemElements of which it is composed. Use this association with caution when using it instead of a subclass such as SystemDevice or a peer association such as HostedService. This class is very broadly defined, which can lead to erroneous use. For example, Access Points that are dependent on (and hosted on) a System are NOT Components of the System. The System is not made up of any AccessPoint 'parts', which is why a Dependency association, HostedAccessPoint, was defined. Similarly, a PhysicalPackage is not a 'part' of a System, because the physical element exists independently of any internal components, software, and so on. In fact, again, a Dependency relationship is true where a ComputerSystem is Dependent on its packaging, as described by the ComputerSystemPackage association.

UMLPackagePath | string | CIM::Core::CoreElements
Version | string | 2.10.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
GroupComponent | CIM_SystemComponent | CIM_System
PartComponent | CIM_SystemComponent | CIM_ManagedSystemElement

## Class Methods